UNIQ(1)

NAZWA
uniq - usuń powtarzające się linie z posortowanego pliku

SKŁADNIA

uniq
    [-cdiuwD] [-liczba] [+liczba] [-f liczba]
    [-s liczba] [-w liczba] [--count] [--ignore-case]
    [--repeated] [--all-repeated] [--unique]
    [--skip-fields=liczba] [--skip-chars=liczba]
    [--check-chars=liczba] [--help] [--version]
    [plikwej] [plikwyj]

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo uniq
lub
    info uniq.

Ta strona podręcznika opisuje polecenie uniq w wersji GNU.

uniq wypisuje unikatowe linie sortowanego pliku, tj. odrzucając z kolejnych identycznych wszystkie linie poza jedną. Może on opcjonalnie pokazywać tylko linie, które pojawiają się tylko raz, bądź linie które pojawiają się więcej niż raz. uniq wymaga posortowanego wejścia, ponieważ porównuje tylko linie sąsiadujące ze sobą. Jeśli nie jest posortowane, można zamiast uniq użyć 'sort -u'.

Jeśli plik wynikowy nie jest podany, uniq pisze na standardowe wyjście. Jeśli plik wejściowy nie jest podany, czyta on ze standardowego wejścia.

OPCJE

+liczba, -s, --skip-chars=liczba
    W tej opcji, liczba to liczba całkowita reprezentująca liczbę znaków, które należy przeskoczyć zanim rozpocznie się sprawdzanie unikatowości. Pierwsze liczba znaków, a także jakiekolwiek znaki puste znalezione zanim osiągnięto liczba znaków, są przeskakiwane i niewliczane. Jeśli użyto zarówno przeskakiwania pól jak i znaków, pola są przeskakiwane w pierwszej kolejności.

-liczba, -f, --skip-fields=liczba
    W tej opcji, liczba to liczba całkowita reprezentująca liczbę pól, które należy przeskoczyć zanim rozpocznie się sprawdzanie unikatowości. Pierwsze liczba pól, a także jakiekolwiek znaki puste znalezione zanim osiągnięto liczba pól, są przeskakiwane i niewliczane. Pola definiowane są jako łańcuchy znaków nie będących spacjami ani tabulacjami, rozdzielone od siebie spacjami lub tabulacjami.

-c, --count
    Wypisuje razem z linią ile razy się ona powtórzyła.

-d, --repeated
    Wypisuje tylko linie powtarzające się.

-D, --all-repeated
    Wypisuje wszystkie linie powtarzające się i tylko linie powtarzające się. Opcja ta przydatna jest głównie w połączeniu z innymi np. do ignorowania wielkości liter lub porównywania tylko wybranych pól. Jest to rozszerzenie GNU.

-i, --ignore-case
    Podczas porównywania linii ignoruje różnice pomiędzy małymi a dużymi literami.

-u, --unique
    Wypisuje tylko linie unikatowe.

-w, --check-chars=liczba
    Określa ilość znaków, które należy porównywać w liniach, po przeskoczeniu wszystkich wskazanych pól i znaków. Normalnie porównywana jest cała reszta linii.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz. ang., do <bug-textutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
sort(1), comm(1), ptx(1), tsort(1), textutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi tekstowych GNU wersji 2.0.